#!/usr/bin/python

from launchpadlib.launchpad import Launchpad
desired_dist_and_arch = 'https://api.edge.launchpad.net/devel/ubuntu/%s/%s' #here, edit "maverick" and "i386" with the Ubuntu version and desired arhitecture

print "---------------------------------------"
print "         OPENSHOT'S PPA STATS"
print "---------------------------------------\n"

for owner_name, ppa_name in [('jonoomph', 'openshot-edge'), ('openshot.developers', 'ppa'), ('openshot.developers', 'daily')]:

	cachedir = "~/.launchpadlib/cache/"
	lp_ = Launchpad.login_anonymously('ppastats', 'edge', cachedir, version='devel')
	owner = lp_.people[owner_name]
	archive = owner.getPPAByName(name=ppa_name)
	total_count = 0

	print "---------------------------------------"
	print " Stats for: %s/%s " % (owner_name, ppa_name)
	print "---------------------------------------"

	for arch in ['i386']:
		for os in ['lucid', 'maverick', 'natty', 'oneiric']:
			for individualarchive in archive.getPublishedBinaries(status='Published',distro_arch_series=desired_dist_and_arch % (os, arch)):
				download_count = individualarchive.getDownloadCount()
				total_count += download_count
				print individualarchive.binary_package_name + "\t" + individualarchive.binary_package_version + "\t" + str(download_count)

	print "\nTOTAL Downloads (%s/%s): %d\n" % (owner_name, ppa_name, total_count)
